package com.zhongzheng.modules.inform.service;

import com.zhongzheng.modules.inform.domain.InformUser;
import com.zhongzheng.modules.inform.vo.InformUserVo;
import com.zhongzheng.modules.inform.bo.InformUserQueryBo;
import com.zhongzheng.modules.inform.bo.InformUserAddBo;
import com.zhongzheng.modules.inform.bo.InformUserEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 通知绑定学员Service接口
 *
 * @author ruoyi
 * @date 2021-11-23
 */
public interface IInformUserService extends IService<InformUser> {
	/**
	 * 查询单个
	 * @return
	 */
	InformUserVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<InformUserVo> queryList(InformUserQueryBo bo);

	/**
	 * 根据新增业务对象插入通知绑定学员
	 * @param bo 通知绑定学员新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(InformUserAddBo bo);

	/**
	 * 根据编辑业务对象修改通知绑定学员
	 * @param bo 通知绑定学员编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(InformUserEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<InformUserVo> queryUserList(InformUserQueryBo bo);
}
